Bug Hunting Session
Bug 52374 - Please update bundled German dictionaries extension (dict-de) with version 2012-06-17
Summary: Please update bundled German dictionaries extension (dict-de) with version 20...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0 target:3.6.1 target:3.5.7
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-22 22:17 UTC by manj_k
Modified: 2012-08-17 10:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description manj_k 2012-07-22 22:17:03 UTC
Karl Zeiler, the maintainer of the German dictionaries extensions (de_DE, de_AT, de_CH), has replaced version 2012-06-10 (bundled extension 'dict-de' in LibO 3.5.5.3 / LibO 3.6.0.2rc) with version 2012-06-17.

The German thesaurus (version 2012-06-10; thesaurus snapshot 2012-06-08 23:35) can not handle words like 'Spaß, weiß, heiß, Schweiß, Soße, Blöße, mäßig, Größe', etc. (all words with 'ß' = U+00DF LATIN SMALL LETTER SHARP S: Eszett).

Selecting a word with 'ß' has the following result:
- Synonyms: (none)
- Thesaurus: No alternatives found.

This bug doesn't occur in the German dictionaries extensions (de_DE, de_AT, de_CH), version 2012-06-17 (thesaurus snapshot 2012-06-15 23:20). 

The corrected extensions are available on 
http://extensions.libreoffice.org/extension-center/german-de-de-frami-dictionaries
http://extensions.libreoffice.org/extension-center/german-de-at-frami-dictionaries
http://extensions.libreoffice.org/extension-center/german-de-ch-frami-dictionaries
Comment 1 manj_k 2012-08-10 15:19:42 UTC
Reproducible with

- LibO 3.6.0.4 release (Build ID: 932b512)
- LibO 3.5.6.2 rc (Build ID: e0fbe70-5879838-a0745b0-0cd1158-638b327)
Comment 2 Not Assigned 2012-08-12 15:59:07 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=b1cb648dc31f2406edf02eb3f7d75c298954ccb0

fdo#52374 update German Thesaurus (2012-06-17)
Comment 3 Not Assigned 2012-08-12 16:05:30 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=868b353c385a155456a118549e86e6a050bbc1df&g=libreoffice-3-6

fdo#52374 update German Thesaurus (2012-06-17)


It will be available in LibreOffice 3.6.1.
Comment 4 Not Assigned 2012-08-12 16:11:40 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=d3d96469cab3644813cced84bc743686c7bbc053&g=libreoffice-3-5

fdo#52374 update German Thesaurus (2012-06-17)


It will be available in LibreOffice 3.5.7.
Comment 5 Roman Eisele 2012-08-17 10:07:26 UTC
VERIFIED FIXED with LibO 3.6.1.1 (Build ID: 4db6344), German langpack installed, on MacOS X 10.6.8 (Intel).

Synonyms and Thesaurus work (again) for words Spaß, heiß, mäßig, Soße etc.